1. Уважаемые пользователи, прежде чем ответить в теме или создать новую,
    внимательно ознакомьтесь с правилами раздела

    Кому лень работать или руки не оттуда - пользуйтесь услугами специалистов
  2. Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.."

    Есть JED!!! Ищите там!!!

Инфо Joomla 3 и PHP 7

Тема в разделе "Joomla", создана пользователем binh, 20 сен 2016.

Метки:
?

Какую версию PHP используете вы?

  1. 5.3

    5 голосов
    5,3%
  2. 5.6

    30 голосов
    31,9%
  3. 7

    59 голосов
    62,8%
  4. Пока нормально работает Joomla 1.5 на 4-й

    0 голосов
    0,0%
Информация :
  • Уважаемые пользователи, прежде чем ответить в теме или создать новую, внимательно ознакомьтесь с правилами раздела
  • Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.." Есть JED!!! Ищите там!!!
  • Аналоги ищите там же - на JED!!!
  • Новая версия? - У кого будет - тот выложит!
Модераторы: arman29, DMS, Genk0, NightHunter
  1. diex

    diex Постоялец

    Регистр.:
    21 апр 2013
    Сообщения:
    69
    Симпатии:
    33
    У меня без сторонних компонентов Joomla 3.6.5 + PHP Version 7.0.14, заметил прирост в производительности, скорость работы сайта. Как то раньше дольше загружались фото.
     
  2. doogee

    doogee Создатель

    Регистр.:
    8 янв 2017
    Сообщения:
    26
    Симпатии:
    3
    Установка квикстартов шаблонов Yootheme с Joomla 3.6 PHP7 на OpenServer иногда проходит безуспешно. К примеру, устанавливаются Lunа, Uniq, Venice, Joy и другие. Не устанавливаются Aurora. Имеется ли у кого опыт в данном вопросе совместимости PHP7 и квикстартов? Выхожу из ситуации путем установки нерабочих на хостинг или некоторые удается "ремонтировать".
     
  3. aleksinov

    aleksinov Постоялец

    Регистр.:
    25 дек 2016
    Сообщения:
    92
    Симпатии:
    51
    Поделитесь,пожалуйста,какая была ошибка и что именно вы исправляли,на будущее,сам тоже использую Jcomments
     
    Последнее редактирование: 12 янв 2017
  4. Сhez

    Сhez Создатель

    Регистр.:
    16 мар 2009
    Сообщения:
    28
    Симпатии:
    2
    В Перейти по ссылке описано, что надо сделать. + есть уже исправленная версия с поддержкой reCaptcha
     
    aleksinov нравится это.
  5. aleksinov

    aleksinov Постоялец

    Регистр.:
    25 дек 2016
    Сообщения:
    92
    Симпатии:
    51
    Переделал денвер на PHP 7,заметил,что нового пользователя в phpmyadmin создать не возможно,выдаёт ошибку,а все основные стандартные компоненты еще не приспособлены к этой версии,ошибка за ошибкой,пока решил остаться PHP 5.6.19
     
  6. denverkurt

    denverkurt Denve®

    Регистр.:
    23 дек 2013
    Сообщения:
    668
    Симпатии:
    381
    я тоже экспериментировал с PHP7 на DENWER, все работает
    но с базами проблемы - не хватает памяти. выход - нужно увеличивать лимиты памяти для буферов
    вот кусок моего конфига:
    Код:
    key_buffer_size = 64K
    max_allowed_packet = 100M
    table_open_cache = 40
    sort_buffer_size = 1024K
    read_buffer_size = 1024K
    read_rnd_buffer_size = 256K
    net_buffer_length = 2K
    thread_stack = 128K
     
    aleksinov нравится это.
  7. aleksinov

    aleksinov Постоялец

    Регистр.:
    25 дек 2016
    Сообщения:
    92
    Симпатии:
    51
    И нового пользователя в phpmyadmin создаёт?Я пытался создать пользователя,не получилось,а база как раз таки хорошо загружалась,без проблем
     
  8. denverkurt

    denverkurt Denve®

    Регистр.:
    23 дек 2013
    Сообщения:
    668
    Симпатии:
    381
    да, создает пользователя без проблем
     
    jser нравится это.
  9. vangelis

    vangelis Постоялец

    Регистр.:
    28 июн 2015
    Сообщения:
    51
    Симпатии:
    10
    У меня на php7 не работает плагин allvideos/ а на него завязан почти весь сайт. Потому пришлось вернуться на версию 5.6
     
  10. Andreyka

    Andreyka Писатель

    Регистр.:
    4 июн 2012
    Сообщения:
    8
    Симпатии:
    0
    на php7 не работает установщик. Всегда ругается на JSON.
    Использую php 5.6